## eagerpy 0.29.0

=== Makefile ===
.PHONY: test
test:
	pytest --pdb --cov-report term-missing --cov=eagerpy --verbose
	pytest --pdb --cov-report term-missing --cov=eagerpy --cov-append --verbose --backend numpy
	pytest --pdb --cov-report term-missing --cov=eagerpy --cov-append --verbose --backend pytorch
	pytest --pdb --cov-report term-missing --cov=eagerpy --cov-append --verbose --backend jax
	pytest --pdb --cov-report term-missing --cov=eagerpy --cov-append --verbose --backend tensorflow
	pytest --pdb --cov-report term-missing --cov=eagerpy --cov-append --verbose --backend pytorch-gpu

.PHONY: black
black:
	black .

.PHONY: blackcheck
blackcheck:
	black --check .

.PHONY: flake8
flake8:
	flake8

.PHONY: mypy
mypy:
	mypy -p eagerpy
	mypy tests/

.PHONY: docs
docs:
	pydocmd generate
	cd docs && vuepress build --temp /tmp/

.PHONY: installvuepress
installvuepress:
	curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
	echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
	sudo apt update && sudo apt install yarn
	sudo yarn global add vuepress

.PHONY: servedocs
servedocs:
	cd docs/.vuepress/dist/ && python3 -m http.server 9999

.PHONY: devdocs
devdocs:
	cd docs && vuepress dev --temp /tmp/ --port 9999

.PHONY: pushdocs
pushdocs:
	cd docs/.vuepress/dist/ && git init && git add -A && git commit -m 'deploy'
	cd docs/.vuepress/dist/ && git push -f git@github.com:jonasrauber/eagerpy.git master:gh-pages

.PHONY: install
install:
	pip3 install -e .

.PHONY: devsetup
devsetup:
	pre-commit install

.PHONY: build
build:
	python3 setup.py sdist

.PHONY: commit
commit:
	git add eagerpy/VERSION
	git commit -m 'Version $(shell cat eagerpy/VERSION)'

.PHONY: release
release: build
	twine upload dist/eagerpy-$(shell cat eagerpy/VERSION).tar.gz

.PHONY: pyre
pyre:
	pyre --source-directory . check

.PHONY: pytype
pytype:
	pytype .

.PHONY: pyright
pyright:
	pyright .

.PHONY: mypyreport
mypyreport:
	-mypy . --html-report build
	python3 -m http.server 9999

=== requirements.txt ===
-r requirements-dev.txt
torch==1.4.0
jaxlib==0.1.37
jax==0.1.57
tensorflow==2.1.0

=== debian/changelog ===
eagerpy (0.29.0-3) unstable; urgency=medium

  * Disable PyTorch-based tests for now.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 28 Oct 2020 16:14:48 +0100

eagerpy (0.29.0-2) unstable; urgency=medium

  * Add watch file.
  * Add autopkgtests.
  * Demote PyTorch to suggests.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 27 Oct 2020 17:36:43 +0100

eagerpy (0.29.0-1) unstable; urgency=medium

  * Initial packaging. (Closes: #972680)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 22 Oct 2020 16:44:40 +0200

=== debian/control ===
Source: eagerpy
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.5.0.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-numpy,
               python3-setuptools,
               python3-typing-extensions (>= 3.7.4.1)
Rules-Requires-Root: no
Homepage: https://eagerpy.jonasrauber.de/
Vcs-Browser: https://salsa.debian.org/gspr/eagerpy
Vcs-Git: https://salsa.debian.org/gspr/eagerpy.git -b debian/sid

Package: python3-eagerpy
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python3-torch
Description: Wrapper around various Python multidimensional array types
 EagerPy is a Python framework that lets you write code that automatically
 works natively with PyTorch, TensorFlow, JAX, and NumPy.

=== debian/tests/control ===
Tests: upstream-numpy.sh
Depends: python3-all, python3-eagerpy, python3-numpy, python3-pytest
Restrictions: allow-stderr

#Tests: upstream-pytorch.sh
#Depends: python3-all, python3-eagerpy, python3-pytest, python3-torch
#Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%eagerpy-$1.tar.gz%" \
    https://github.com/jonasrauber/eagerpy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## eagerpy 0.30.0

=== requirements.txt ===
-r requirements-dev.txt
torch==1.4.0
jaxlib==0.1.37
jax==0.1.57
tensorflow==2.5.0

=== debian/changelog ===
eagerpy (0.30.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Clean up whitespace and set repository-browse metadata.

  [ Gard Spreemann ]
  * Standards-version 4.6.2.0. No changes needed.
  * Extend copyright range.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 08 Feb 2023 23:39:11 +0100

eagerpy (0.30.0-2) unstable; urgency=medium

  * Fix watch file.
  * Extend copyright years.
  * Standards-version 4.6.1.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 03 Oct 2022 16:22:50 +0200

eagerpy (0.30.0-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.5.1, no changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 14 Aug 2021 20:48:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0.2
+Standards-Version: 4.6.2.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME = eagerpy

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/jonasrauber/eagerpy/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
